# Inspired by livna 
# stuff to be implemented externally:
Source10: kmodtool
%define   kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.19-1.2911.6.5.fc6}

%define kmod_name at76_usb
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
%define xenvar xen
%define kdumpvar kdump
%endif
%ifarch i686 x86_64 ppc
%define kdumpvar kdump
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}

Summary:   Linux driver for Atmel AT76C503A based USB WLAN adapters
Name:      at76_usb-kmod
Version:   0.14
Release:   0.1.beta1.%(echo %{kverrel} | tr - _)
License:   GPL
Group:     System Environment/Kernel 
Source:    at76_usb-%{version}beta1.tar.gz
#Patch0:    %{name}-updates.patch
URL:       http://at76c503a.berlios.de/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  at76_usb-kmod-common = %{version}-%{release}
Provides:  at76_usb-kmod = %{version}-%{release}

%description
This is another driver for the Atmel AT76C503A based USB WLAN adapters.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -n %{name}-%{version}beta1

## Fix the #include <linux/config.h> - call deprecated since 2.6.18
# from Ville Skytta - madwifi package.
grep -rlF '<linux/config.h>' %{kmod_name}-%{version}beta1 \
| xargs sed -i -e 's|<linux/config.h>|<linux/autoconf.h>|'

for kvariant in %{kvariants} ; do
  cp -a %{kmod_name}-%{version}beta1 _kmod_build_$kvariant
done


%build
for kvariant in %{kvariants}
do
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
cd _kmod_build_$kvariant
make \
  KERNEL_PATH="${ksrc}" \
  KERNELRELEASE=%{kverrel}${kvariant}  
cd ..
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
pushd _kmod_build_$kvariant
install -D -m 0644 *.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/
popd
done
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*


%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Fri Jan  5 2007 kwizart < kwizart at gmail .com > - 0.14-0.1.beta1
- Renewed release only for usb (pci integrate the kernel tree!): 

* Thu May 20 2004 Tim Niemueller <tim@niemueller.de>
- Rebuild for Fedora Core 2
- Package *.ko

* Wed May 05 2004 Tim Niemueller <tim@niemueller.de>
- Added patch that causes installation to /lib/modules/<kernver>/updates/...
  This overrides the drivers that come with the Fedora kernel. Mine are more
  up2date
- Upgraded to 0.12beta11

* Mon Mar 01 2004 Tim Niemueller <tim@niemueller.de>
- Upgrade to 0.12beta7
- Build drivers for Fedora Core 1
- Added README, COPYING and CHANGELOG to doc

* Mon Jul 28 2003 Tim Niemueller <tim@niemueller.de>
- Initial rpm release
- Wrote spec file and compiled for current RedHat 9 kernel

